.rating-header {
  width: 100%;
  height: 200px;
}

.rating-body {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
}

.rating-heading {
  font-size: 125px;
  color: #fff;
  font-weight: bold;
  text-align: center;
  line-height: 1;
  width: 1000px;
  /* text-shadow: 2px 2px 40px #ffffff; */
  margin-top: 40px;
}

.rating-selection-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin-top: 100px;
  position: relative;
  width: 1300px;
}

.rating-selection-wrapper img {
  position: absolute;
  width: 100%;
  object-fit: contain;
  top: 0;
  left: 0;
}

.rating-selection-heading {
  font-size: 70px;
  color: #f0f41b;
  position: relative;
  text-align: center;
  margin-top: 120px;
}

.rating-selection-tagline {
  font-size: 40px;
  color: #00ffff;
  text-align: center;
  position: relative;
  margin-top: 20px;
}

.rating-selection-emoticons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  position: relative;
  z-index: 5;
  width: 80%;
  margin-top: 40px;
}

.rating-selection-emoticons .rating-emoticon-content {
  color: #fff;
  text-align: center;
  font-size: 40px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.rating-emoticon-img {
  padding: 10px;
  border-radius: 50%;
  margin-bottom: 30px;
  width: 150px;
  height: 150px;
  border: 10px solid transparent;
}

.rating-emoticon-content.selected .rating-emoticon-img {
  border: 10px solid #74fd12;
}

.rating-emoticon-img img {
  width: 150px;
  height: 150px;
  position: relative;
}

.rating-button-wrapper {
  margin-top: 220px;
}

.rating-button-wrapper .rating-button {
  background: url("../assets/green-button.png") no-repeat center center;
  background-size: contain;
  background-position: center;
  padding: 70px 0px;
  width: 600px;
  font-size: 45px;
  color: white;
  text-align: center;
  font-weight: bold;
  opacity: 1;
  transition: opacity 0.3s ease;
}

.rating-button-wrapper .rating-button.disabled {
  opacity: 0.5;
  pointer-events: none;
}

.aisensum-logo-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  margin-top: 20px;
  margin-bottom: 50px;
}

.aisensum-logo-wrapper .powered-by-text {
  font-size: 45px;
  color: #fff;
  font-weight: bold;
}

.aisensum-logo-wrapper img {
  width: 700px;
}
